CREATE TABLE sdm_krs_a.`Autorisation` (
  `AutorisationPID` bigint(20) NOT NULL AUTO_INCREMENT,
  `Autorisationsnummer` varchar(10) COLLATE utf8_danish_ci NOT NULL,
  `CPR` varchar(10) COLLATE utf8_danish_ci NOT NULL,
  `Fornavn` varchar(100) COLLATE utf8_danish_ci NOT NULL,
  `Efternavn` varchar(100) COLLATE utf8_danish_ci NOT NULL,
  `UddannelsesKode` varchar(4) COLLATE utf8_danish_ci NOT NULL,
  `Dispensation75Regl` varchar(3) COLLATE utf8_danish_ci NULL,
  `Speciale1` varchar(100) COLLATE utf8_danish_ci NULL,
  `SpecialeDato1` datetime NULL,
  `SpecialeUddLand1` varchar(100) COLLATE utf8_danish_ci NULL,
  `Speciale2` varchar(100) COLLATE utf8_danish_ci NULL,
  `SpecialeDato2` datetime NULL,
  `SpecialeUddLand2` varchar(100) COLLATE utf8_danish_ci NULL,
  `Speciale3` varchar(100) COLLATE utf8_danish_ci NULL,
  `SpecialeDato3` datetime NULL,
  `SpecialeUddLand3` varchar(100) COLLATE utf8_danish_ci NULL,
  `ValidFrom` datetime NOT NULL,
  `ValidTo` datetime NOT NULL,
  `LastReplicated` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  PRIMARY KEY (`AutorisationPID`),
  UNIQUE KEY `AutCprValidFrom` (`Autorisationsnummer`,`CPR`,`ValidFrom`),
  KEY `IDXAutorisationsnummerValidTo` (`Autorisationsnummer`,`ValidTo`),
  KEY `IDXCPRValidTo` (`CPR`,`ValidTo`),
  KEY `IDXValidToFrom` (`ValidTo`,`ValidFrom`)
) ENGINE=InnoDB AUTO_INCREMENT=34733 DEFAULT CHARSET=utf8 COLLATE=utf8_danish_ci;
