CREATE TABLE sdm_krs_a.`Person` (
  `PersonPID` bigint(15) NOT NULL AUTO_INCREMENT,
  `CPR` varchar(10) COLLATE utf8_danish_ci NOT NULL,
  `Koen` varchar(1) COLLATE utf8_danish_ci NOT NULL,
  `Fornavn` varchar(60) COLLATE utf8_danish_ci DEFAULT NULL,
  `Mellemnavn` varchar(60) COLLATE utf8_danish_ci DEFAULT NULL,
  `Efternavn` varchar(60) COLLATE utf8_danish_ci DEFAULT NULL,
  `CoNavn` varchar(50) COLLATE utf8_danish_ci DEFAULT NULL,
  `Lokalitet` varchar(50) COLLATE utf8_danish_ci DEFAULT NULL,
  `Vejnavn` varchar(30) COLLATE utf8_danish_ci DEFAULT NULL,
  `Bygningsnummer` varchar(10) COLLATE utf8_danish_ci DEFAULT NULL,
  `Husnummer` varchar(10) COLLATE utf8_danish_ci DEFAULT NULL,
  `Etage` varchar(10) COLLATE utf8_danish_ci DEFAULT NULL,
  `SideDoerNummer` varchar(10) COLLATE utf8_danish_ci DEFAULT NULL,
  `Bynavn` varchar(34) COLLATE utf8_danish_ci DEFAULT NULL,
  `Postnummer` int(4) DEFAULT NULL,
  `PostDistrikt` varchar(30) COLLATE utf8_danish_ci DEFAULT NULL,
  `Status` char(2) COLLATE utf8_danish_ci DEFAULT NULL,
  `NavneBeskyttelseStartDato` datetime DEFAULT NULL,
  `NavneBeskyttelseSletteDato` datetime DEFAULT NULL,
  `GaeldendeCPR` varchar(10) COLLATE utf8_danish_ci DEFAULT NULL,
  `Foedselsdato` date NOT NULL,
  `Stilling` varchar(50) COLLATE utf8_danish_ci DEFAULT NULL,
  `VejKode` int(4) DEFAULT NULL,
  `KommuneKode` int(4) DEFAULT NULL,
  `ValidFrom` datetime NOT NULL,
  `ValidTo` datetime NOT NULL,
  `LastReplicated` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  PRIMARY KEY (`PersonPID`),
  UNIQUE KEY `cprValidFrom` (`CPR`,`ValidFrom`),
  KEY `IDXStatus` (`Status`),
  KEY `IDXCPRValidTo` (`CPR`,`ValidTo`),
  KEY `IDXValidToFrom` (`ValidTo`,`ValidFrom`)
) ENGINE=InnoDB AUTO_INCREMENT=241520 DEFAULT CHARSET=utf8 COLLATE=utf8_danish_ci;
